!****************************************************************************
Module TypeDef
!****************************************************************************

  Implicit None

  integer, parameter :: dbl = 8
  real(dbl), parameter :: small = 1.d-32

  Type EigSystemT
     integer :: HSize
     complex(dbl), pointer :: States(:,:)
     complex(dbl), pointer :: EPsi(:)
     real(dbl), pointer :: Values(:)
  end Type EigSystemT

  Type MinVecT
     complex(dbl), pointer :: StDesc(:)
     complex(dbl), pointer :: Phi(:)
  end Type MinVecT


end Module TypeDef

!****************************************************************************
